Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network15.0.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
Network address
15.0.0.0
Broadcast address
15.7.255.255
First usable
15.0.0.1
Last usable
15.7.255.254
Usable hosts
524,286 (524,288 less the network and broadcast addresses)
Subnet mask
255.248.0.0
Wildcard mask
0.7.255.255 (Cisco ACLs, OSPF)
Prefix length
/13
Type
Public public
Old class
A (default /8)
As numbers
Hex 0F000000 · Integer 251658240 to 252182527
Reverse DNS zones
0.15.in-addr.arpa
1.15.in-addr.arpa
2.15.in-addr.arpa
3.15.in-addr.arpa
4.15.in-addr.arpa
5.15.in-addr.arpa
6.15.in-addr.arpa
7.15.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001111.00000000.00000000.0000000015.0.0.0
Subnet mask11111111.11111000.00000000.00000000255.248.0.0
Network00001111.00000000.00000000.0000000015.0.0.0
Broadcast00001111.00000111.11111111.1111111115.7.255.255
Split into smaller subnets/25

15.0.0.0/13 makes 4,096 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
115.0.0.0/2515.0.0.1 to 15.0.0.12615.0.0.127126
215.0.0.128/2515.0.0.129 to 15.0.0.25415.0.0.255126
315.0.1.0/2515.0.1.1 to 15.0.1.12615.0.1.127126
415.0.1.128/2515.0.1.129 to 15.0.1.25415.0.1.255126
515.0.2.0/2515.0.2.1 to 15.0.2.12615.0.2.127126
615.0.2.128/2515.0.2.129 to 15.0.2.25415.0.2.255126
715.0.3.0/2515.0.3.1 to 15.0.3.12615.0.3.127126
815.0.3.128/2515.0.3.129 to 15.0.3.25415.0.3.255126
915.0.4.0/2515.0.4.1 to 15.0.4.12615.0.4.127126
1015.0.4.128/2515.0.4.129 to 15.0.4.25415.0.4.255126
1115.0.5.0/2515.0.5.1 to 15.0.5.12615.0.5.127126
1215.0.5.128/2515.0.5.129 to 15.0.5.25415.0.5.255126
1315.0.6.0/2515.0.6.1 to 15.0.6.12615.0.6.127126
1415.0.6.128/2515.0.6.129 to 15.0.6.25415.0.6.255126
1515.0.7.0/2515.0.7.1 to 15.0.7.12615.0.7.127126
1615.0.7.128/2515.0.7.129 to 15.0.7.25415.0.7.255126
1715.0.8.0/2515.0.8.1 to 15.0.8.12615.0.8.127126
1815.0.8.128/2515.0.8.129 to 15.0.8.25415.0.8.255126
1915.0.9.0/2515.0.9.1 to 15.0.9.12615.0.9.127126
2015.0.9.128/2515.0.9.129 to 15.0.9.25415.0.9.255126
2115.0.10.0/2515.0.10.1 to 15.0.10.12615.0.10.127126
2215.0.10.128/2515.0.10.129 to 15.0.10.25415.0.10.255126
2315.0.11.0/2515.0.11.1 to 15.0.11.12615.0.11.127126
2415.0.11.128/2515.0.11.129 to 15.0.11.25415.0.11.255126
2515.0.12.0/2515.0.12.1 to 15.0.12.12615.0.12.127126
2615.0.12.128/2515.0.12.129 to 15.0.12.25415.0.12.255126
2715.0.13.0/2515.0.13.1 to 15.0.13.12615.0.13.127126
2815.0.13.128/2515.0.13.129 to 15.0.13.25415.0.13.255126
2915.0.14.0/2515.0.14.1 to 15.0.14.12615.0.14.127126
3015.0.14.128/2515.0.14.129 to 15.0.14.25415.0.14.255126
3115.0.15.0/2515.0.15.1 to 15.0.15.12615.0.15.127126
3215.0.15.128/2515.0.15.129 to 15.0.15.25415.0.15.255126
3315.0.16.0/2515.0.16.1 to 15.0.16.12615.0.16.127126
3415.0.16.128/2515.0.16.129 to 15.0.16.25415.0.16.255126
3515.0.17.0/2515.0.17.1 to 15.0.17.12615.0.17.127126
3615.0.17.128/2515.0.17.129 to 15.0.17.25415.0.17.255126
3715.0.18.0/2515.0.18.1 to 15.0.18.12615.0.18.127126
3815.0.18.128/2515.0.18.129 to 15.0.18.25415.0.18.255126
3915.0.19.0/2515.0.19.1 to 15.0.19.12615.0.19.127126
4015.0.19.128/2515.0.19.129 to 15.0.19.25415.0.19.255126
4115.0.20.0/2515.0.20.1 to 15.0.20.12615.0.20.127126
4215.0.20.128/2515.0.20.129 to 15.0.20.25415.0.20.255126
4315.0.21.0/2515.0.21.1 to 15.0.21.12615.0.21.127126
4415.0.21.128/2515.0.21.129 to 15.0.21.25415.0.21.255126
4515.0.22.0/2515.0.22.1 to 15.0.22.12615.0.22.127126
4615.0.22.128/2515.0.22.129 to 15.0.22.25415.0.22.255126
4715.0.23.0/2515.0.23.1 to 15.0.23.12615.0.23.127126
4815.0.23.128/2515.0.23.129 to 15.0.23.25415.0.23.255126
4915.0.24.0/2515.0.24.1 to 15.0.24.12615.0.24.127126
5015.0.24.128/2515.0.24.129 to 15.0.24.25415.0.24.255126
5115.0.25.0/2515.0.25.1 to 15.0.25.12615.0.25.127126
5215.0.25.128/2515.0.25.129 to 15.0.25.25415.0.25.255126
5315.0.26.0/2515.0.26.1 to 15.0.26.12615.0.26.127126
5415.0.26.128/2515.0.26.129 to 15.0.26.25415.0.26.255126
5515.0.27.0/2515.0.27.1 to 15.0.27.12615.0.27.127126
5615.0.27.128/2515.0.27.129 to 15.0.27.25415.0.27.255126
5715.0.28.0/2515.0.28.1 to 15.0.28.12615.0.28.127126
5815.0.28.128/2515.0.28.129 to 15.0.28.25415.0.28.255126
5915.0.29.0/2515.0.29.1 to 15.0.29.12615.0.29.127126
6015.0.29.128/2515.0.29.129 to 15.0.29.25415.0.29.255126
6115.0.30.0/2515.0.30.1 to 15.0.30.12615.0.30.127126
6215.0.30.128/2515.0.30.129 to 15.0.30.25415.0.30.255126
6315.0.31.0/2515.0.31.1 to 15.0.31.12615.0.31.127126
6415.0.31.128/2515.0.31.129 to 15.0.31.25415.0.31.255126
6515.0.32.0/2515.0.32.1 to 15.0.32.12615.0.32.127126
6615.0.32.128/2515.0.32.129 to 15.0.32.25415.0.32.255126
6715.0.33.0/2515.0.33.1 to 15.0.33.12615.0.33.127126
6815.0.33.128/2515.0.33.129 to 15.0.33.25415.0.33.255126
6915.0.34.0/2515.0.34.1 to 15.0.34.12615.0.34.127126
7015.0.34.128/2515.0.34.129 to 15.0.34.25415.0.34.255126
7115.0.35.0/2515.0.35.1 to 15.0.35.12615.0.35.127126
7215.0.35.128/2515.0.35.129 to 15.0.35.25415.0.35.255126
7315.0.36.0/2515.0.36.1 to 15.0.36.12615.0.36.127126
7415.0.36.128/2515.0.36.129 to 15.0.36.25415.0.36.255126
7515.0.37.0/2515.0.37.1 to 15.0.37.12615.0.37.127126
7615.0.37.128/2515.0.37.129 to 15.0.37.25415.0.37.255126
7715.0.38.0/2515.0.38.1 to 15.0.38.12615.0.38.127126
7815.0.38.128/2515.0.38.129 to 15.0.38.25415.0.38.255126
7915.0.39.0/2515.0.39.1 to 15.0.39.12615.0.39.127126
8015.0.39.128/2515.0.39.129 to 15.0.39.25415.0.39.255126
8115.0.40.0/2515.0.40.1 to 15.0.40.12615.0.40.127126
8215.0.40.128/2515.0.40.129 to 15.0.40.25415.0.40.255126
8315.0.41.0/2515.0.41.1 to 15.0.41.12615.0.41.127126
8415.0.41.128/2515.0.41.129 to 15.0.41.25415.0.41.255126
8515.0.42.0/2515.0.42.1 to 15.0.42.12615.0.42.127126
8615.0.42.128/2515.0.42.129 to 15.0.42.25415.0.42.255126
8715.0.43.0/2515.0.43.1 to 15.0.43.12615.0.43.127126
8815.0.43.128/2515.0.43.129 to 15.0.43.25415.0.43.255126
8915.0.44.0/2515.0.44.1 to 15.0.44.12615.0.44.127126
9015.0.44.128/2515.0.44.129 to 15.0.44.25415.0.44.255126
9115.0.45.0/2515.0.45.1 to 15.0.45.12615.0.45.127126
9215.0.45.128/2515.0.45.129 to 15.0.45.25415.0.45.255126
9315.0.46.0/2515.0.46.1 to 15.0.46.12615.0.46.127126
9415.0.46.128/2515.0.46.129 to 15.0.46.25415.0.46.255126
9515.0.47.0/2515.0.47.1 to 15.0.47.12615.0.47.127126
9615.0.47.128/2515.0.47.129 to 15.0.47.25415.0.47.255126
9715.0.48.0/2515.0.48.1 to 15.0.48.12615.0.48.127126
9815.0.48.128/2515.0.48.129 to 15.0.48.25415.0.48.255126
9915.0.49.0/2515.0.49.1 to 15.0.49.12615.0.49.127126
10015.0.49.128/2515.0.49.129 to 15.0.49.25415.0.49.255126
10115.0.50.0/2515.0.50.1 to 15.0.50.12615.0.50.127126
10215.0.50.128/2515.0.50.129 to 15.0.50.25415.0.50.255126
10315.0.51.0/2515.0.51.1 to 15.0.51.12615.0.51.127126
10415.0.51.128/2515.0.51.129 to 15.0.51.25415.0.51.255126
10515.0.52.0/2515.0.52.1 to 15.0.52.12615.0.52.127126
10615.0.52.128/2515.0.52.129 to 15.0.52.25415.0.52.255126
10715.0.53.0/2515.0.53.1 to 15.0.53.12615.0.53.127126
10815.0.53.128/2515.0.53.129 to 15.0.53.25415.0.53.255126
10915.0.54.0/2515.0.54.1 to 15.0.54.12615.0.54.127126
11015.0.54.128/2515.0.54.129 to 15.0.54.25415.0.54.255126
11115.0.55.0/2515.0.55.1 to 15.0.55.12615.0.55.127126
11215.0.55.128/2515.0.55.129 to 15.0.55.25415.0.55.255126
11315.0.56.0/2515.0.56.1 to 15.0.56.12615.0.56.127126
11415.0.56.128/2515.0.56.129 to 15.0.56.25415.0.56.255126
11515.0.57.0/2515.0.57.1 to 15.0.57.12615.0.57.127126
11615.0.57.128/2515.0.57.129 to 15.0.57.25415.0.57.255126
11715.0.58.0/2515.0.58.1 to 15.0.58.12615.0.58.127126
11815.0.58.128/2515.0.58.129 to 15.0.58.25415.0.58.255126
11915.0.59.0/2515.0.59.1 to 15.0.59.12615.0.59.127126
12015.0.59.128/2515.0.59.129 to 15.0.59.25415.0.59.255126
12115.0.60.0/2515.0.60.1 to 15.0.60.12615.0.60.127126
12215.0.60.128/2515.0.60.129 to 15.0.60.25415.0.60.255126
12315.0.61.0/2515.0.61.1 to 15.0.61.12615.0.61.127126
12415.0.61.128/2515.0.61.129 to 15.0.61.25415.0.61.255126
12515.0.62.0/2515.0.62.1 to 15.0.62.12615.0.62.127126
12615.0.62.128/2515.0.62.129 to 15.0.62.25415.0.62.255126
12715.0.63.0/2515.0.63.1 to 15.0.63.12615.0.63.127126
12815.0.63.128/2515.0.63.129 to 15.0.63.25415.0.63.255126
12915.0.64.0/2515.0.64.1 to 15.0.64.12615.0.64.127126
13015.0.64.128/2515.0.64.129 to 15.0.64.25415.0.64.255126
13115.0.65.0/2515.0.65.1 to 15.0.65.12615.0.65.127126
13215.0.65.128/2515.0.65.129 to 15.0.65.25415.0.65.255126
13315.0.66.0/2515.0.66.1 to 15.0.66.12615.0.66.127126
13415.0.66.128/2515.0.66.129 to 15.0.66.25415.0.66.255126
13515.0.67.0/2515.0.67.1 to 15.0.67.12615.0.67.127126
13615.0.67.128/2515.0.67.129 to 15.0.67.25415.0.67.255126
13715.0.68.0/2515.0.68.1 to 15.0.68.12615.0.68.127126
13815.0.68.128/2515.0.68.129 to 15.0.68.25415.0.68.255126
13915.0.69.0/2515.0.69.1 to 15.0.69.12615.0.69.127126
14015.0.69.128/2515.0.69.129 to 15.0.69.25415.0.69.255126
14115.0.70.0/2515.0.70.1 to 15.0.70.12615.0.70.127126
14215.0.70.128/2515.0.70.129 to 15.0.70.25415.0.70.255126
14315.0.71.0/2515.0.71.1 to 15.0.71.12615.0.71.127126
14415.0.71.128/2515.0.71.129 to 15.0.71.25415.0.71.255126
14515.0.72.0/2515.0.72.1 to 15.0.72.12615.0.72.127126
14615.0.72.128/2515.0.72.129 to 15.0.72.25415.0.72.255126
14715.0.73.0/2515.0.73.1 to 15.0.73.12615.0.73.127126
14815.0.73.128/2515.0.73.129 to 15.0.73.25415.0.73.255126
14915.0.74.0/2515.0.74.1 to 15.0.74.12615.0.74.127126
15015.0.74.128/2515.0.74.129 to 15.0.74.25415.0.74.255126
15115.0.75.0/2515.0.75.1 to 15.0.75.12615.0.75.127126
15215.0.75.128/2515.0.75.129 to 15.0.75.25415.0.75.255126
15315.0.76.0/2515.0.76.1 to 15.0.76.12615.0.76.127126
15415.0.76.128/2515.0.76.129 to 15.0.76.25415.0.76.255126
15515.0.77.0/2515.0.77.1 to 15.0.77.12615.0.77.127126
15615.0.77.128/2515.0.77.129 to 15.0.77.25415.0.77.255126
15715.0.78.0/2515.0.78.1 to 15.0.78.12615.0.78.127126
15815.0.78.128/2515.0.78.129 to 15.0.78.25415.0.78.255126
15915.0.79.0/2515.0.79.1 to 15.0.79.12615.0.79.127126
16015.0.79.128/2515.0.79.129 to 15.0.79.25415.0.79.255126
16115.0.80.0/2515.0.80.1 to 15.0.80.12615.0.80.127126
16215.0.80.128/2515.0.80.129 to 15.0.80.25415.0.80.255126
16315.0.81.0/2515.0.81.1 to 15.0.81.12615.0.81.127126
16415.0.81.128/2515.0.81.129 to 15.0.81.25415.0.81.255126
16515.0.82.0/2515.0.82.1 to 15.0.82.12615.0.82.127126
16615.0.82.128/2515.0.82.129 to 15.0.82.25415.0.82.255126
16715.0.83.0/2515.0.83.1 to 15.0.83.12615.0.83.127126
16815.0.83.128/2515.0.83.129 to 15.0.83.25415.0.83.255126
16915.0.84.0/2515.0.84.1 to 15.0.84.12615.0.84.127126
17015.0.84.128/2515.0.84.129 to 15.0.84.25415.0.84.255126
17115.0.85.0/2515.0.85.1 to 15.0.85.12615.0.85.127126
17215.0.85.128/2515.0.85.129 to 15.0.85.25415.0.85.255126
17315.0.86.0/2515.0.86.1 to 15.0.86.12615.0.86.127126
17415.0.86.128/2515.0.86.129 to 15.0.86.25415.0.86.255126
17515.0.87.0/2515.0.87.1 to 15.0.87.12615.0.87.127126
17615.0.87.128/2515.0.87.129 to 15.0.87.25415.0.87.255126
17715.0.88.0/2515.0.88.1 to 15.0.88.12615.0.88.127126
17815.0.88.128/2515.0.88.129 to 15.0.88.25415.0.88.255126
17915.0.89.0/2515.0.89.1 to 15.0.89.12615.0.89.127126
18015.0.89.128/2515.0.89.129 to 15.0.89.25415.0.89.255126
18115.0.90.0/2515.0.90.1 to 15.0.90.12615.0.90.127126
18215.0.90.128/2515.0.90.129 to 15.0.90.25415.0.90.255126
18315.0.91.0/2515.0.91.1 to 15.0.91.12615.0.91.127126
18415.0.91.128/2515.0.91.129 to 15.0.91.25415.0.91.255126
18515.0.92.0/2515.0.92.1 to 15.0.92.12615.0.92.127126
18615.0.92.128/2515.0.92.129 to 15.0.92.25415.0.92.255126
18715.0.93.0/2515.0.93.1 to 15.0.93.12615.0.93.127126
18815.0.93.128/2515.0.93.129 to 15.0.93.25415.0.93.255126
18915.0.94.0/2515.0.94.1 to 15.0.94.12615.0.94.127126
19015.0.94.128/2515.0.94.129 to 15.0.94.25415.0.94.255126
19115.0.95.0/2515.0.95.1 to 15.0.95.12615.0.95.127126
19215.0.95.128/2515.0.95.129 to 15.0.95.25415.0.95.255126
19315.0.96.0/2515.0.96.1 to 15.0.96.12615.0.96.127126
19415.0.96.128/2515.0.96.129 to 15.0.96.25415.0.96.255126
19515.0.97.0/2515.0.97.1 to 15.0.97.12615.0.97.127126
19615.0.97.128/2515.0.97.129 to 15.0.97.25415.0.97.255126
19715.0.98.0/2515.0.98.1 to 15.0.98.12615.0.98.127126
19815.0.98.128/2515.0.98.129 to 15.0.98.25415.0.98.255126
19915.0.99.0/2515.0.99.1 to 15.0.99.12615.0.99.127126
20015.0.99.128/2515.0.99.129 to 15.0.99.25415.0.99.255126
20115.0.100.0/2515.0.100.1 to 15.0.100.12615.0.100.127126
20215.0.100.128/2515.0.100.129 to 15.0.100.25415.0.100.255126
20315.0.101.0/2515.0.101.1 to 15.0.101.12615.0.101.127126
20415.0.101.128/2515.0.101.129 to 15.0.101.25415.0.101.255126
20515.0.102.0/2515.0.102.1 to 15.0.102.12615.0.102.127126
20615.0.102.128/2515.0.102.129 to 15.0.102.25415.0.102.255126
20715.0.103.0/2515.0.103.1 to 15.0.103.12615.0.103.127126
20815.0.103.128/2515.0.103.129 to 15.0.103.25415.0.103.255126
20915.0.104.0/2515.0.104.1 to 15.0.104.12615.0.104.127126
21015.0.104.128/2515.0.104.129 to 15.0.104.25415.0.104.255126
21115.0.105.0/2515.0.105.1 to 15.0.105.12615.0.105.127126
21215.0.105.128/2515.0.105.129 to 15.0.105.25415.0.105.255126
21315.0.106.0/2515.0.106.1 to 15.0.106.12615.0.106.127126
21415.0.106.128/2515.0.106.129 to 15.0.106.25415.0.106.255126
21515.0.107.0/2515.0.107.1 to 15.0.107.12615.0.107.127126
21615.0.107.128/2515.0.107.129 to 15.0.107.25415.0.107.255126
21715.0.108.0/2515.0.108.1 to 15.0.108.12615.0.108.127126
21815.0.108.128/2515.0.108.129 to 15.0.108.25415.0.108.255126
21915.0.109.0/2515.0.109.1 to 15.0.109.12615.0.109.127126
22015.0.109.128/2515.0.109.129 to 15.0.109.25415.0.109.255126
22115.0.110.0/2515.0.110.1 to 15.0.110.12615.0.110.127126
22215.0.110.128/2515.0.110.129 to 15.0.110.25415.0.110.255126
22315.0.111.0/2515.0.111.1 to 15.0.111.12615.0.111.127126
22415.0.111.128/2515.0.111.129 to 15.0.111.25415.0.111.255126
22515.0.112.0/2515.0.112.1 to 15.0.112.12615.0.112.127126
22615.0.112.128/2515.0.112.129 to 15.0.112.25415.0.112.255126
22715.0.113.0/2515.0.113.1 to 15.0.113.12615.0.113.127126
22815.0.113.128/2515.0.113.129 to 15.0.113.25415.0.113.255126
22915.0.114.0/2515.0.114.1 to 15.0.114.12615.0.114.127126
23015.0.114.128/2515.0.114.129 to 15.0.114.25415.0.114.255126
23115.0.115.0/2515.0.115.1 to 15.0.115.12615.0.115.127126
23215.0.115.128/2515.0.115.129 to 15.0.115.25415.0.115.255126
23315.0.116.0/2515.0.116.1 to 15.0.116.12615.0.116.127126
23415.0.116.128/2515.0.116.129 to 15.0.116.25415.0.116.255126
23515.0.117.0/2515.0.117.1 to 15.0.117.12615.0.117.127126
23615.0.117.128/2515.0.117.129 to 15.0.117.25415.0.117.255126
23715.0.118.0/2515.0.118.1 to 15.0.118.12615.0.118.127126
23815.0.118.128/2515.0.118.129 to 15.0.118.25415.0.118.255126
23915.0.119.0/2515.0.119.1 to 15.0.119.12615.0.119.127126
24015.0.119.128/2515.0.119.129 to 15.0.119.25415.0.119.255126
24115.0.120.0/2515.0.120.1 to 15.0.120.12615.0.120.127126
24215.0.120.128/2515.0.120.129 to 15.0.120.25415.0.120.255126
24315.0.121.0/2515.0.121.1 to 15.0.121.12615.0.121.127126
24415.0.121.128/2515.0.121.129 to 15.0.121.25415.0.121.255126
24515.0.122.0/2515.0.122.1 to 15.0.122.12615.0.122.127126
24615.0.122.128/2515.0.122.129 to 15.0.122.25415.0.122.255126
24715.0.123.0/2515.0.123.1 to 15.0.123.12615.0.123.127126
24815.0.123.128/2515.0.123.129 to 15.0.123.25415.0.123.255126
24915.0.124.0/2515.0.124.1 to 15.0.124.12615.0.124.127126
25015.0.124.128/2515.0.124.129 to 15.0.124.25415.0.124.255126
25115.0.125.0/2515.0.125.1 to 15.0.125.12615.0.125.127126
25215.0.125.128/2515.0.125.129 to 15.0.125.25415.0.125.255126
25315.0.126.0/2515.0.126.1 to 15.0.126.12615.0.126.127126
25415.0.126.128/2515.0.126.129 to 15.0.126.25415.0.126.255126
25515.0.127.0/2515.0.127.1 to 15.0.127.12615.0.127.127126
25615.0.127.128/2515.0.127.129 to 15.0.127.25415.0.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses